Moneybird logo
Moneybird API

Purchase transactions

Purchase transactions are outgoing payments you initiate from Moneybird


deprecated

Delete a purchase transaction

DELETE
https://moneybird.com/api/v2
/{administration_id}/purchase_transactions/{id}/delete{format}

This endpoint is deprecated. Use the DELETE /purchase_transactions/{id} endpoint instead. Delete a purchase transaction. Requires that the purchase transaction is pending and doesn't belong to a purchase transaction batch.

Required scope(s)

bank

Delete a purchase transactionpath Parameters

administration_id
administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
identifier · pattern: ^\d+$ · required

A unique record identifier

format
string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Delete a purchase transaction Responses

Purchase transaction deleted

No data returned

Get a purchase transaction by id

GET
https://moneybird.com/api/v2
/{administration_id}/purchase_transactions/{id}{format}

Get a purchase transaction by id.

Required scope(s)

bank

Get a purchase transaction by idpath Parameters

administration_id
administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
identifier · pattern: ^\d+$ · required

A unique record identifier

format
string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Get a purchase transaction by id Responses

A purchase transaction

id
identifier · pattern: ^\d+$

A unique record identifier

administration_id
administration_id · pattern: ^\d+$

A unique record identifier

financial_account_id
identifier · pattern: ^\d+$

A unique record identifier

payment_instrument_id
identifier_nullable · pattern: ^\d+$

A unique record identifier

state
string · enum
Enum values:
open
cancelled
paid
pending_payment
error
awaiting_authorization
preparing
sepa_iban
string
sepa_iban_account_name
string
sepa_bic
string
source_sepa_iban
string | null
source_sepa_iban_account_name
string | null
date
string | null · date
description
string
end_to_end_id
string
amount
string
created_at
timestamp · date-time
updated_at
timestamp · date-time
payable_type
string | null
payable_id
identifier_nullable · pattern: ^\d+$

A unique record identifier

payment_method
string | null

Delete a purchase transaction

DELETE
https://moneybird.com/api/v2
/{administration_id}/purchase_transactions/{id}{format}

Delete a purchase transaction. Requires that the purchase transaction is pending and doesn't belong to a purchase transaction batch.

Required scope(s)

bank

Delete a purchase transactionpath Parameters

administration_id
administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

id
identifier · pattern: ^\d+$ · required

A unique record identifier

format
string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Delete a purchase transaction Responses

Purchase transaction deleted

No data returned

List all purchase transactions

GET
https://moneybird.com/api/v2
/{administration_id}/purchase_transactions{format}

Returns a list of purchase transactions in the administration.

Required scope(s)

bank

List all purchase transactionspath Parameters

administration_id
administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

List all purchase transactionsquery Parameters

filter
string

Filters are key:value terms separated by commas (e.g. period:this_year,state:open). Any filter you pass replaces the defaults below entirely, so include every key you need — in particular pass an explicit period (a named period or a YYYYMMDD..YYYYMMDD range) to look beyond the default financial year. Available filters:

FilterTypeDefaultDescription
stateStringallall, open, pending_payment, paid or cancelled
periodStringnilThis can either be the description of a period (this_week, prev_week, next_week, this_month, prev_month, next_month, this_quarter, prev_quarter, next_quarter, this_year, prev_year, next_year) or a custom period (201301..201302, 20130101..20130131)
unbatchedBooleantruetrue or false

You can filter by multiple states at the same time as well. To do this, separate the state values by a pipe: state:open|pending_payment.

Default: unbatched:true
page
integer | string
per_page
integer | string · min: 1 · max: 100 · pattern: ^\d+$

List all purchase transactions Responses

200

A list of purchase transactions

id
identifier · pattern: ^\d+$

A unique record identifier

administration_id
administration_id · pattern: ^\d+$

A unique record identifier

financial_account_id
identifier · pattern: ^\d+$

A unique record identifier

payment_instrument_id
identifier_nullable · pattern: ^\d+$

A unique record identifier

state
string · enum
Enum values:
open
cancelled
paid
pending_payment
error
awaiting_authorization
preparing
sepa_iban
string
sepa_iban_account_name
string
sepa_bic
string
source_sepa_iban
string | null
source_sepa_iban_account_name
string | null
date
string | null · date
description
string
end_to_end_id
string
amount
string
created_at
timestamp · date-time
updated_at
timestamp · date-time
payable_type
string | null
payable_id
identifier_nullable · pattern: ^\d+$

A unique record identifier

payment_method
string | null

Upload a SEPA credit transfer file to create purchase transaction batches

POST
https://moneybird.com/api/v2
/{administration_id}/sepa_credit_transfer{format}

Upload a SEPA credit transfer file (pain.001.001.09/Version 2019) to create purchase transaction batches. This endpoint requires an active Moneybird Banking account in the administration.

Required scope(s)

bank

Upload a SEPA credit transfer file to create purchase transaction batchespath Parameters

administration_id
administration_id · pattern: ^\d+$ · required

The unique identifier of the administration

A unique record identifier

format
string · pattern: ^(.(json|xml))?$ · required

The format in which the response is given, can be empty to use the default format

Default: .json

Upload a SEPA credit transfer file to create purchase transaction batches Request Body

file
string · binary · required

SEPA credit transfer file (pain.001.001.09/Version 2019)

ledger_account_id
identifier · pattern: ^\d+$

The ID of the ledger account that all transactions in the file will be booked on. If omitted, no booking is made and the bank transaction is left to automatic booking.

financial_account_id
identifier · pattern: ^\d+$

The ID of the Moneybird Banking financial account that will be linked to all the purchase transactions in the file. Must be an active Moneybird Banking account. If not provided, the financial account will be determined based on the debtor account in the file.

Upload a SEPA credit transfer file to create purchase transaction batches Responses

Purchase transaction batches created successfully using the SEPA credit transfer file

id
identifier · pattern: ^\d+$

A unique record identifier

administration_id
administration_id · pattern: ^\d+$

A unique record identifier

financial_account_id
identifier · pattern: ^\d+$

A unique record identifier

state
string · enum
Enum values:
exported
cancelled
open
identifier
string
created_at
timestamp · date-time
updated_at
timestamp · date-time